> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alvys.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get webhook health metrics

> Returns aggregated delivery health metrics for a webhook over 1, 7, or 30 days.

Returns aggregated delivery health metrics for a webhook over 1, 7, or 30 days.


## OpenAPI

````yaml GET /api/p/v{version}/webhooks/{webhookId}/health
openapi: 3.0.1
info:
  title: Alvys
  description: >-
    Alvys provides a robust set of REST APIs to allow you to integrate Alvys
    into virtually any platform. These APIs cover most of Alvys' major product
    areas with additional endpoints being added regularly based on customer
    requests.
  contact:
    name: Alvys Support
    url: https://www.alvys.com/resources/contact/
  version: v1
servers:
  - url: https://integrations.alvys.com
    description: Public API Server
  - url: https://api.alvys.com/
    description: Public API Server
security:
  - Public: []
tags:
  - name: Authentication
    description: Obtain an OAuth 2.0 access token for the Alvys Public API.
  - name: Carrier Settlement Statements
    description: >-
      Search carrier settlement statements and retrieve a single statement by
      number.
  - name: Carriers
    description: Read carrier records, search carriers, and manage carrier documents.
  - name: Customers
    description: Create, read, update, delete, and search customer records.
  - name: Deductions
    description: >-
      Create one-time deductions and search or delete existing deduction
      records.
  - name: DispatchPreferences
    description: Dispatch preferences endpoints for reading dispatch rules and preferences.
  - name: Driver Settlement Statements
    description: >-
      Search driver settlement statements and retrieve a single statement by
      number.
  - name: Drivers
    description: >-
      Read driver records, search drivers and driver events, and manage driver
      documents.
  - name: Fuel
    description: Read and search fuel transactions.
  - name: Invoices
    description: >-
      Read invoices, create carrier invoices, and record carrier and customer
      payments.
  - name: Loads
    description: Read, update, search loads, and manage load documents and notes.
  - name: Locations
    description: Read and search company location details.
  - name: Maintenance
    description: Read and search maintenance records.
  - name: Tenders
    description: Create, accept, reject, cancel, update, and search inbound EDI tenders.
  - name: Tolls
    description: Read and search toll transactions.
  - name: Trailers
    description: Read trailers, search trailer events, and manage trailer documents.
  - name: Trips
    description: >-
      Read, search trips, manage trip documents, and record stop appointments,
      arrivals, and departures.
  - name: Trucks
    description: Read trucks, search truck events, and manage truck documents.
  - name: Users
    description: List and search users.
  - name: Visibility
    description: >-
      Read inbound and outbound visibility history and search outbound
      visibility errors.
  - name: Webhooks
    description: >-
      Create, read, update, delete, enable, disable, verify, test, and rotate
      secrets for webhook subscriptions; read event types, delivery logs, and
      health metrics.
paths:
  /api/p/v{version}/webhooks/{webhookId}/health:
    get:
      tags:
        - Webhooks
      summary: Get webhook health metrics
      description: >-
        Returns aggregated delivery health metrics for a webhook over 1, 7, or
        30 days.
      parameters:
        - name: webhookId
          in: path
          required: true
          schema:
            type: string
        - name: Days
          in: query
          schema:
            type: integer
            format: int32
        - name: version
          in: path
          description: API version (e.g., 1.0)
          required: true
          schema:
            type: string
            default: '1.0'
            example: '1.0'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Alvys.Models.Webhooks.WebhookHealthResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
        '429':
          description: Too Many Requests
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
      security:
        - Public: []
components:
  schemas:
    Alvys.Models.Webhooks.WebhookHealthResponse:
      required:
        - ConsecutiveFailures
        - Metrics
        - Period
        - Status
        - WebhookId
        - WebhookName
      type: object
      properties:
        WebhookId:
          type: string
        WebhookName:
          type: string
        Period:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Webhooks.HealthPeriod'
        Metrics:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Webhooks.HealthMetrics'
        LastDelivery:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Webhooks.LastDeliveryInfo'
          nullable: true
        ConsecutiveFailures:
          type: integer
          format: int32
        Status:
          type: string
      additionalProperties: false
    Microsoft.AspNetCore.Mvc.ValidationProblemDetails:
      required:
        - Errors
      type: object
      properties:
        Errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
        Type:
          type: string
          nullable: true
        Title:
          type: string
          nullable: true
        Status:
          type: integer
          format: int32
          nullable: true
        Detail:
          type: string
          nullable: true
        Instance:
          type: string
          nullable: true
      additionalProperties: {}
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      type: object
      properties:
        Type:
          type: string
          nullable: true
        Title:
          type: string
          nullable: true
        Status:
          type: integer
          format: int32
          nullable: true
        Detail:
          type: string
          nullable: true
        Instance:
          type: string
          nullable: true
      additionalProperties: {}
    Alvys.Models.Webhooks.HealthPeriod:
      required:
        - Days
        - EndDate
        - StartDate
      type: object
      properties:
        Days:
          type: integer
          format: int32
        StartDate:
          type: string
          format: date-time
        EndDate:
          type: string
          format: date-time
      additionalProperties: false
    Alvys.Models.Webhooks.HealthMetrics:
      required:
        - AvgDurationMs
        - FailureCount
        - MaxDurationMs
        - SkippedCount
        - SuccessCount
        - SuccessRate
        - TimeoutCount
        - TotalAttempts
      type: object
      properties:
        TotalAttempts:
          type: integer
          format: int64
        SuccessCount:
          type: integer
          format: int64
        FailureCount:
          type: integer
          format: int64
        TimeoutCount:
          type: integer
          format: int64
        SkippedCount:
          type: integer
          format: int64
        SuccessRate:
          type: number
          format: double
        AvgDurationMs:
          type: number
          format: double
        MaxDurationMs:
          type: integer
          format: int64
      additionalProperties: false
    Alvys.Models.Webhooks.LastDeliveryInfo:
      required:
        - EventType
        - Status
        - Timestamp
      type: object
      properties:
        Timestamp:
          type: string
          format: date-time
        Status:
          type: string
        EventType:
          type: string
      additionalProperties: false
  securitySchemes:
    Public:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        OAuth 2.0 client-credentials access token. Obtain one from
        https://auth.alvys.com/oauth/token (grant_type=client_credentials,
        audience=https://api.alvys.com/public/), then paste it here. The
        playground sends it as `Authorization: Bearer <token>`.

````